# examples/c/Makefile.examples.in for PLplot
###
### Configure this file with CMake to produce Makefile.examples
###
# Copyright (C) 2002-2015  Alan W. Irwin
# Copyright (C) 2004  Rafael Laboissiere
# Copyright (C) 2004  Andrew Ross
#
# This file is part of PLplot.
#
# PLplot is free software; you can redistribute it and/or modify
# it under the terms of the GNU Library General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# PLplot is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public License
# along with the file PLplot; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA

SHELL = /usr/local/bin/bash
CC = /usr/obj/ports/plplot-5.13.0/bin/cc  -O2 -pipe
EXEEXT = 

PKG_CONFIG_ENV = PKG_CONFIG_PATH="/usr/local/lib/pkgconfig"
RPATHCMD = 

extXdrawable_EXECUTABLES_list = \
	extXdrawable_demo$(EXEEXT)

extcairo_EXECUTABLES_list = \
	ext-cairo-test$(EXEEXT)

EXECUTABLES_list = \
		 x00c$(EXEEXT) \
		 x01c$(EXEEXT) \
		 x02c$(EXEEXT) \
		 x03c$(EXEEXT) \
		 x04c$(EXEEXT) \
		 x05c$(EXEEXT) \
		 x06c$(EXEEXT) \
		 x07c$(EXEEXT) \
		 x08c$(EXEEXT) \
		 x09c$(EXEEXT) \
		 x10c$(EXEEXT) \
		 x11c$(EXEEXT) \
		 x12c$(EXEEXT) \
		 x13c$(EXEEXT) \
		 x14c$(EXEEXT) \
		 x15c$(EXEEXT) \
		 x16c$(EXEEXT) \
		 x17c$(EXEEXT) \
		 x18c$(EXEEXT) \
		 x19c$(EXEEXT) \
		 x20c$(EXEEXT) \
		 x21c$(EXEEXT) \
		 x22c$(EXEEXT) \
		 x23c$(EXEEXT) \
		 x24c$(EXEEXT) \
		 x25c$(EXEEXT) \
		 x26c$(EXEEXT) \
		 x27c$(EXEEXT) \
		 x28c$(EXEEXT) \
		 x29c$(EXEEXT) \
		 x30c$(EXEEXT) \
		 x31c$(EXEEXT) \
		 x32c$(EXEEXT) \
		 x33c$(EXEEXT) \
		 $(extXdrawable_EXECUTABLES_list) \
		 $(extcairo_EXECUTABLES_list)

all: $(EXECUTABLES_list)

clean:
	rm -f $(EXECUTABLES_list)

# target_link_libraries(extXdrawable_demo -Wl,-rpath-link,/usr/X11R6/lib;/usr/local/lib/libgtk-x11-2.0.so.2400.0;/usr/local/lib/libgdk-x11-2.0.so.2400.0;/usr/local/lib/libpangocairo-1.0.so.3800.1;/usr/X11R6/lib/libXrender.so.6.0;/usr/X11R6/lib/libXinerama.so.6.0;/usr/X11R6/lib/libXi.so.12.1;/usr/X11R6/lib/libXrandr.so.7.1;/usr/X11R6/lib/libXcursor.so.5.0;/usr/X11R6/lib/libXcomposite.so.4.0;/usr/X11R6/lib/libXdamage.so.4.0;/usr/X11R6/lib/libXfixes.so.6.0;/usr/X11R6/lib/libX11.so.16.1;/usr/X11R6/lib/libXext.so.13.0;/usr/local/lib/libatk-1.0.so.21809.2;/usr/local/lib/libcairo.so.12.3;/usr/local/lib/libgdk_pixbuf-2.0.so.3200.1;/usr/local/lib/libgio-2.0.so.4200.6;/usr/local/lib/libpangoft2-1.0.so.3800.1;/usr/local/lib/libpango-1.0.so.3800.1;/usr/local/lib/libgobject-2.0.so.4200.6;/usr/local/lib/libglib-2.0.so.4200.6;/usr/local/lib/libintl.so.6.0;/usr/X11R6/lib/libfontconfig.so.11.0;/usr/X11R6/lib/libfreetype.so.28.2;/usr/lib/libz.so.5.0 plplot)
# N.B. the above CMake method derives -Wl,-rpath-link,/usr/X11R6/lib;/usr/local/lib/libgtk-x11-2.0.so.2400.0;/usr/local/lib/libgdk-x11-2.0.so.2400.0;/usr/local/lib/libpangocairo-1.0.so.3800.1;/usr/X11R6/lib/libXrender.so.6.0;/usr/X11R6/lib/libXinerama.so.6.0;/usr/X11R6/lib/libXi.so.12.1;/usr/X11R6/lib/libXrandr.so.7.1;/usr/X11R6/lib/libXcursor.so.5.0;/usr/X11R6/lib/libXcomposite.so.4.0;/usr/X11R6/lib/libXdamage.so.4.0;/usr/X11R6/lib/libXfixes.so.6.0;/usr/X11R6/lib/libX11.so.16.1;/usr/X11R6/lib/libXext.so.13.0;/usr/local/lib/libatk-1.0.so.21809.2;/usr/local/lib/libcairo.so.12.3;/usr/local/lib/libgdk_pixbuf-2.0.so.3200.1;/usr/local/lib/libgio-2.0.so.4200.6;/usr/local/lib/libpangoft2-1.0.so.3800.1;/usr/local/lib/libpango-1.0.so.3800.1;/usr/local/lib/libgobject-2.0.so.4200.6;/usr/local/lib/libglib-2.0.so.4200.6;/usr/local/lib/libintl.so.6.0;/usr/X11R6/lib/libfontconfig.so.11.0;/usr/X11R6/lib/libfreetype.so.28.2;/usr/lib/libz.so.5.0 from pkg-config
# results determined by CMake.  Instead of transforming those back
# to pkg-config form, we instead use the the pkg-config gtk+-x11-2.0 package directly.
extXdrawable_demo$(EXEEXT): extXdrawable_demo.c
	$(CC) $< -o $@ $(RPATHCMD) \
	$(shell $(PKG_CONFIG_ENV) pkg-config  --cflags --libs plplot gtk+-x11-2.0)

# target_link_libraries(ext-cairo-test -Wl,-rpath-link,/usr/X11R6/lib;/usr/local/lib/libcairo.so.12.3 plplot)
# N.B. the above CMake method derives -Wl,-rpath-link,/usr/X11R6/lib;/usr/local/lib/libcairo.so.12.3 from pkg-config
# results determined by CMake.  Instead of transforming those back
# to pkg-config form, we instead use the
# the cairo pkg-config package directly.
ext-cairo-test$(EXEEXT): ext-cairo-test.c
	$(CC) $< -o $@ $(RPATHCMD) \
	$(shell $(PKG_CONFIG_ENV) pkg-config  --cflags --libs plplot cairo)

# target_link_libraries(xc plplot /usr/lib/libm.so.10.1)
.c$(EXEEXT):
	$(CC) $< -o $@ $(RPATHCMD) $(shell $(PKG_CONFIG_ENV) pkg-config  --cflags --libs plplot) /usr/lib/libm.so.10.1

.SUFFIXES: .c $(EXEEXT)
